cURL
curl --request POST \
--url https://api.ttapi.io/grok/image/fetch \
--header 'TT-API-KEY: <api-key>'import requests
url = "https://api.ttapi.io/grok/image/fetch"
headers = {"TT-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'TT-API-KEY': '<api-key>'}};
fetch('https://api.ttapi.io/grok/image/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "success",
"jobId": "9e73af91-6fe4-4833-9005-b63cb741619d",
"data": {
"prompt": "A cute little cat",
"n": 1,
"aspectRatio": "1:1",
"images": [
"https://cdn.ttapi.io/grok/2026-03-23/27790f48a54240ad8a1b5ca28a7c94a3.jpg"
],
"quota": "0",
"finishTime": "2026-03-23 07:23:50",
"hookUrl": null
}
}{
"status": "FAILED",
"message": "\"prompt\" cannot be empty.",
"data": {}
}{
"status": "FAILED",
"message": "Wrong TT-API-KEY or email is not activated."
}Grok Image
Grok Result
Query current task generation result by jobId
POST
/
grok
/
image
/
fetch
cURL
Authorizations
Please go to TTAPI Console to obtain the API key.
Query Parameters
JobId of the generated image
Last modified on March 23, 2026
⌘I